Subject: Lesmills and HFL missed/abandoned calls
From: Deeksha Dadu <[email-masked]>
To: Apoorv Joshi <[email-masked]>, "[email-masked]" <[email-masked]>, Bharat Sharma <[email-masked]>, Shakeel Ahmad Hajam <[email-masked]>, Arjun LSM AJ <[email-masked]>
Cc: "Pritish Nandi (LSM)" <[email-masked]>, Saurabh Dadu <[email-masked]>, Ashish Dabral <[email-masked]>
Date: Fri, 16 Aug 2019 10:22:09 +0000

Hi guys,

During call audits, we found Lesmills calls that were abandoned or missed and were never called back!

This is NOT acceptable. Even though it has been discussed before, I am repeating and this time I don’t want to see any deviations whatsoever.

  *   if you are on HFL call and a Lesmills call comes, your priority any day is Lesmills call. You can just tell the HFL customer that you are facing an issue with the system or the line and will call them back in 10 minutes or something. If another HFL agent is there, ask them to call back right away but you must pick up lesmills call. If no one is there, you call back HFL customer after the lesmills call is handled. We cannot let a Lesmills call be abandoned for an HFL call. If the lesmills call by any chance gets abandoned, make sure that you immediately call back the customer.
  *   If by any chance a lesmills or HFL call gets abandoned while you are on break or you are on another call, you must come back and check for any abandoned/missed call and immediately call back the customer. Calling back missed calls applies to both lesmills and HFL

I don’t want to see any missed or abandoned HFL and lesmills calls that were not called back, Lesmills calls specially. Our effort should be to never let a lesmills call be abandoned but if it does, there will be no acceptable reason not to call it back!

Let me know if you have any questions.

Thanks

Regards,
Deeksha